Subject: Re: [PATCH 0/4] meson: parse TAP output generated by our tests

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 May 2025 14:26:23 -0700

Junio C Hamano <[email-masked]> writes:

> Patrick Steinhardt <[email-masked]> writes:
>
>>> This new feature is only enabled with Meson 1.8 and newer, which
>>> contains a bugfix that we have upstreamed [1] to make the TAP parser
>>> work in `meson test --interactive` mode.
>>> 
>>> Despite the changes to Meson itself, this patch series also contains a
>>> couple of fixes for our test suite that caused us to not generate proper
>>> TAP output.
>>> 
>>> Thanks!
>>> 
>>> Patrick
>>> 
>>> [1]: https://github.com/mesonbuild/meson/pull/13980
>>
>> Junio, I noticed that this series isn't yet part of the "What's cooking"
>> report. Is that intentional or an oversight?
>
> Neither.  I saw a lively discussion on the patches and was expecting
> to see a finalized updated version, which I would apply.
>
> The "Please hold off" message in the middle did not help X-<.

So the four patches are now sitting somewhere in 'seen'.  Is it the
one that causes this failure, I have to wonder?

https://github.com/git/git/actions/runs/15169816296/job/42656836511#step:4:2113

It is curious that only osx-meson is affected.

Thanks.